nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <ogjunk-nu...@yahoo.com>
Subject Re: HTTP/1.1 problem
Date Fri, 08 Sep 2006 05:19:08 GMT
That looks right - committed, thanks.

Otis

----- Original Message ----
From: Doğacan Güney <dogacan.guney@agmlab.com>
To: nutch-dev@lucene.apache.org
Sent: Thursday, August 24, 2006 4:15:53 AM
Subject: HTTP/1.1 problem

Hello everyone,

There is a small bug in lib-http plugin code that prevents 
protocol-httpclient plugin from using HTTP/1.1.

One-liner is attached.

---
Doğacan Güney

Index: src/plugin/lib-http/src/java/org/apache/nutch/protocol/http/api/HttpBase.java
===================================================================
--- src/plugin/lib-http/src/java/org/apache/nutch/protocol/http/api/HttpBase.java    (revision
434336)
+++ src/plugin/lib-http/src/java/org/apache/nutch/protocol/http/api/HttpBase.java    (working
copy)
@@ -158,7 +158,7 @@
         this.maxCrawlDelay = (long)(conf.getInt("fetcher.max.crawl.delay", -1) * 1000);
         // backward-compatible default setting
         this.byIP = conf.getBoolean("fetcher.threads.per.host.by.ip", true);
-        this.useHttp11 = conf.getBoolean("http.http11", false);
+        this.useHttp11 = conf.getBoolean("http.useHttp11", false);
         this.robots.setConf(conf);
         logConf();
     }




Mime
View raw message